Show
Ignore:
Timestamp:
08.03.2019 18:23:57 (4 months ago)
Author:
davidb
Message:

Change to ./configure setting to avoid compliation error in glib

Files:
1 modified

Legend:

Unmodified
Added
Removed
  • gs2-extensions/gnome-lib/trunk/src/packages/CASCADE-MAKE/GLIB.sh

    r30881 r32887  
    3939opt_run_untar $force_untar $auto_untar $package $version 
    4040opt_run_configure $force_config $auto_config $package $version $prefix \ 
    41   --disable-shared --enable-static $extra_config_args 
     41  --disable-shared --enable-static --disable-dtrace --disable-systemtap $extra_config_args 
     42 
     43# In the above ... 
     44# Linking error can occur when compiling due to mix of wanting static libraries built  
     45# and 'dtrace' and 'systemtap' being present on the underlying linux system 
     46# Details relating to the linking error disucssed at: 
     47#    https://gitlab.gnome.org/GNOME/glib/issues/653 
     48# Since we don't want to move to a newer version of the the gslib library (at this stage) 
     49# the workaround is to add in: 
     50#    --disable-dtrace and --disable-systemtap in  
    4251 
    4352opt_run_make $compile $package $version